Subject: Re: bug#51497: 29.0.50; (vc-print-log) broken over TRAMP

From: Dima Kogan <[email-masked]>
Date: Tue, 02 Nov 2021 20:03:43 -0700

Dmitry Gutov <[email-masked]> writes:

> On 31.10.2021 09:58, Dima Kogan wrote:
>>    kogan@aargh:~/stereo-server$ git --version
>>    git version 1.8.3.1
>
> Sounds like CentOS 7. Released 7 years ago, but updated last year,
> even.

Yessir. I wasn't a fan of this even 7 years ago, but it's not a battle I
want to fight.

>> Yeah, it's ancient, but I don't control this particular machine, and I
>> don't think basic stuff like "C-x v l" should be non-functional here.
>> Can we add some logic to emacs to not hard-depend on this stuff?
>
> Any idea which version of Git introduced literal pathspecs?

I think 1.8.5:

  https://github.com/git/git/commit/5c6933d201fab183a9779dca0fe43bf2f1eca098

> Anyway, with Michael's code, see the attached patch you can try.

It fixes the problem. Thank you very much.